<html><head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <title>imlogpolar</title>
    <style type="text/css" media="all">
      @import url("scilab_code.css");
      @import url("xml_code.css");
      @import url("c_code.css");
      @import url("style.css");
    </style>
  </head>
  <body>
    <div class="manualnavbar">
    <table width="100%"><tr>
      <td width="30%">
    	<span class="previous"><a href="imidct.html">&lt;&lt; imidct</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_b3a0ff2ebb57a346dc30951a6e2cd459.html">Image Transforms</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="imradon.html">imradon &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>



    <span class="path"><a href="index.html">IPCV - Image Processing and Computer Vision Toolbox for Scilab</a> &gt;&gt; <a href="section_b3a0ff2ebb57a346dc30951a6e2cd459.html">Image Transforms</a> &gt; imlogpolar</span>

    <br /><br />
    <div class="refnamediv"><h1 class="refname">imlogpolar</h1>
    <p class="refpurpose">Remaps an image to log-polar space.</p></div>


<div class="refsynopsisdiv"><h3 class="title">Syntax</h3>
   <div class="synopsis"><pre><span class="default">y</span><span class="default"> = </span><span class="functionid">imlogpolar</span><span class="default">(</span><span class="default">x</span><span class="default">,</span><span class="default">m</span><span class="default">);</span></pre></div></div>

<div class="refsection"><h3 class="title">Parameters</h3>
   <dl><dt><span class="term">x :</span>
      <dd><p class="para">Input image</p></dd></dt>
   <dt><span class="term">m :</span>
      <dd><p class="para">Magnitude scale parameter</p></dd></dt>
   <dt><span class="term">y :</span>
      <dd><p class="para">Output image</p></dd></dt></dl></div>

<div class="refsection"><h3 class="title">Description</h3>
   <p class="para">The function cvLogPolar transforms the source image using the following transformation:
p = m*log(sqrt(x^2 + y^2)), phi = atan(y/x)</p>
   <p class="para"></p></div>

<div class="refsection"><h3 class="title">Examples</h3>
   <div class="programlisting"><table border="0" width="100%"><tr><td width="98%"><pre class="scilabcode"><span class="scilabid">x</span> <span class="scilaboperator">=</span> <span class="scilabid">imread</span><span class="scilabopenclose">(</span><a class="scilabcommand" href="scilab://fullpath">fullpath</a><span class="scilabopenclose">(</span><span class="scilabid">getIPCVpath</span><span class="scilabopenclose">(</span><span class="scilabopenclose">)</span> <span class="scilaboperator">+</span> <span class="scilabstring">&#0034;</span><span class="scilabstring">/images/balloons.png</span><span class="scilabstring">&#0034;</span><span class="scilabopenclose">)</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">y</span> <span class="scilaboperator">=</span> <span class="scilabid">imlogpolar</span><span class="scilabopenclose">(</span><span class="scilabid">x</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">imshow</span><span class="scilabopenclose">(</span><span class="scilabid">y</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span></pre></td><td valign="top"><a href="scilab://scilab.execexample/"><img src="ScilabExecute.png" border="0"/></a></td><td valign="top"><a href="scilab://scilab.editexample/"><img src="ScilabEdit.png" border="0"/></a></td><td></td></tr></table></div></div>

<div class="refsection"><h3 class="title">See also</h3>
   <ul class="itemizedlist"><li class="member"><a href="imgettransform.html" class="link">imgettransform</a></li>
   <li class="member"><a href="imtransform.html" class="link">imtransform</a></li></ul></div>

<div class="refsection"><h3 class="title">Authors</h3>
   <ul class="itemizedlist"><li class="member">Tan Chin Luh</li></ul></div>
    <br />

    <div class="manualnavbar">
    <table width="100%">
    <tr><td colspan="3" class="next"><a href="http://bugzilla.scilab.org/enter_bug.cgi?product=Scilab%20software&component=Documentation%20pages" class="ulink">Report an issue</a></td></tr>
<tr>
      <td width="30%">
    	<span class="previous"><a href="imidct.html">&lt;&lt; imidct</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_b3a0ff2ebb57a346dc30951a6e2cd459.html">Image Transforms</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="imradon.html">imradon &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>
  </body>
</html>
